## LassoIdWsf2DstRefResultQuery LassoIdWsf2DstRefResultQuery — <dstref:ResultQuery> |

## Functions

LassoIdWsf2DstRefResultQuery * | lasso_idwsf2_dstref_result_query_new ()

## Types and Values

struct | LassoIdWsf2DstRefResultQuery

## Description

Figure 185. Schema fragment for dstref:ResultQuery

    <xs:complexType name="ResultQueryType">
      <xs:complexContent>
        <xs:extension base="dst:ResultQueryBaseType">
          <xs:sequence>
            <xs:element ref="dstref:Select" minOccurs="0" maxOccurs="1"/>
            <xs:element name="Sort" minOccurs="0" maxOccurs="1" type="dstref:SortType"/>
          </xs:sequence>
        </xs:extension>
      </xs:complexContent>
    </xs:complexType>

## Functions

### lasso_idwsf2_dstref_result_query_new ()

    LassoIdWsf2DstRefResultQuery *
    lasso_idwsf2_dstref_result_query_new (void);

Creates a new LassoIdWsf2DstRefResultQuery object.

#### Returns

a newly created LassoIdWsf2DstRefResultQuery object

## Types and Values

### struct LassoIdWsf2DstRefResultQuery

    struct LassoIdWsf2DstRefResultQuery {
    	LassoIdWsf2DstResultQueryBase parent;

    	/* elements */
    	char *Select;
    	char *Sort;
    	GHashTable *namespaces;
    };